%define version		0.96
%define release		%mkrel 1

%define libname_orig lib%{name}
%define libname %mklibname %{name}1
%define develname %mklibname -d %{name}

Name:		mecab
Summary:	Yet Another Part-of-Speech and Morphological Analyzer
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Internationalization
URL:		http://mecab.sourceforge.jp/
Source0:	http://prdownloads.sourceforge.jp/mecab/18364/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{version}
BuildRequires:		automake1.8

%description
Yet Another Part-of-Speech and Morphological Analyzer.


%package -n 	%{libname}
Summary:	Mecab library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}
Obsoletes:	libmecab0
Provides:	libmecab0

%description -n %{libname}
mecab library.

%package -n	%{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:	libmecab0-devel
Provides:	libmecab0-devel
Obsoletes:	%{libname}-devel

%description -n %{develname}
mecab development package.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/mecab-config

# remove multiarch-dispatch to avoid conflict
rm -f %{buildroot}/%{_bindir}/multiarch-dispatch

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README doc/
%multiarch %{multiarch_bindir}/mecab-config
%{_bindir}/mecab-config
%{_bindir}/mecab
%{_mandir}/*/mecab.1*
%config(noreplace) %{_sysconfdir}/mecabrc

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/*.so.1.0.0
%attr(755, root, root) %{_libdir}/mecab
%{_libdir}/mecab/*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.1




%changelog
* Mon Sep 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.96-1mdv2008.0
+ Revision: 92531
- import mecab


* Mon Jul 23 2007 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.96-1mdv2008.0
- new release

* Fri Aug 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.93-1mdv2007.0
- new release
- remove "requires: mecab-ipadic"
- (we need to install mecab first to build mecab-ipadic)

* Mon May 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.91-1mdk
- new release

* Fri Apr 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.90-2mdk
- fix perms on x86_64

* Mon Mar 27 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.90-1mdk
- 0.90 released

* Fri Mar 10 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.90-0.10.1mdk
- 0.90rc10
- add requires mecab-ipadic

* Thu Feb 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.90-0.9.2mdk
- 0.90rc9
- split off mecab-ipadic

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.81-1mdk
- disable parallel build (broken)
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Mar 11 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.80-1ut
- first spec for mdk
- modify the spec file of Momonga Linux (thanks!)
